{
  lib,
  ocaml-deps,
  ocamlPackages,
  version,
  debug ? false,
  ...
}:
ocamlPackages.buildDunePackage {
  pname = "culr";
  version = "0.1-${version}";

  minimalOCamlVersion = "5.2";

  src = ./..;
  buildInputs = ocaml-deps;

  buildPhase =
    if debug
    then ''
      runHook preBuild
      dune build --profile debug -p culr ''${enableParallelBuilding:+-j $NIX_BUILD_CORES}
      runHook postBuild
    ''
    else ''
      runHook preBuild
      dune build --profile release -p culr ''${enableParallelBuilding:+-j $NIX_BUILD_CORES}
      runHook postBuild
    '';
}
